[Solved] Error in trying to build MythTV v 0.29 in Debian 9.6

For discussion of topics specific to MythTV on linux
kommiisar6
Junior
Posts: 15
Joined: Thu Dec 13, 2018 12:36 am
Zimbabwe

[Solved] Error in trying to build MythTV v 0.29 in Debian 9.6

Post by kommiisar6 » Thu Dec 13, 2018 12:52 am

I followed the mythtv wiki instructions for building MythTV v 0.29. I installed the dependencies from the "Installing Build Dependencies without Ansible" wiki page and included the erroneously excluded libcec-dev (libcec4-dev not available in stretch).

When I run the build-debs script with fixes/29 argument it errors out giving me two errors:

dpkg-deb: error: parsing file 'debian/mythtv-build-deps/DEBIAN/control' near line 2 package 'mythtv-build-deps': error in 'Version' field string '2:29.1+fixes.20181212.362f382987-Version:': invalid character in revision number dh_builddeb: dpkg-deb --build debian/mythtv-build-deps .. returned exit code 2 debian/rules:20: recipe for target 'binary-indep' failed make: *** [binary-indep] Error 1 Error in the build process: exit status 2

which then causes the 2nd error:

dpkg: error: cannot access archive 'mythtv-build-deps_29.1+fixes.20181212.362f382987-Version:_amd64.deb': No such file or directory mk-build-deps: dpkg --unpack failed

Why would a control file have a bad version number? Anyone try building the debs recently in stretch?
Last edited by kommiisar6 on Tue Jan 22, 2019 6:05 pm, edited 1 time in total.

cmac
Newcomer
Posts: 7
Joined: Sun Dec 16, 2018 2:18 am
Ireland

Re: Error in trying to build MythTV v 0.29 in Debian 9.6

Post by cmac » Sun Dec 16, 2018 2:24 am

Having exactly the same problem here too. Will try again tomorrow, but hoping for a easy fix.
I ended up building a fresh Debian 9.6 system after I encountered far too much difficulty trying to get the mythtv package to work in a Mint (current/stable) install. Was ready for managing dependencies, but this error threw me for a loop.

User avatar
paulh
Developer
Posts: 398
Joined: Thu Feb 06, 2014 6:09 pm
Great Britain

Re: Error in trying to build MythTV v 0.29 in Debian 9.6

Post by paulh » Sun Dec 16, 2018 10:33 am

I'm no debian expert so take this with a pinch of salt :)

I know the debian packaging have recently been updated so Launchpad will build and publish them so something may have got broken in the process.

This commit looks like it could be the problem one
https://github.com/MythTV/packaging/com ... 2f993227aa

I wonder if debian doesn't like the '+' character in the version? You could try changing it to '~' but it needs a debian expert to confirm this is a good fix.

User avatar
paulh
Developer
Posts: 398
Joined: Thu Feb 06, 2014 6:09 pm
Great Britain

Re: Error in trying to build MythTV v 0.29 in Debian 9.6

Post by paulh » Sun Dec 16, 2018 10:47 am

Looks like '+' should be OK so that isn't it.

Something is mangling the version and is adding a ':' character that is the real problem.

cmac
Newcomer
Posts: 7
Joined: Sun Dec 16, 2018 2:18 am
Ireland

Re: Error in trying to build MythTV v 0.29 in Debian 9.6

Post by cmac » Sun Dec 16, 2018 2:17 pm

Thanks paulh. I'm no debian expert myself so will have to give it a good investigation tonight, but the '+' character was my first guess too. Now to find where the colon is coming from!

kommiisar6
Junior
Posts: 15
Joined: Thu Dec 13, 2018 12:36 am
Zimbabwe

Re: Error in trying to build MythTV v 0.29 in Debian 9.6

Post by kommiisar6 » Sun Dec 16, 2018 7:00 pm

Having done a little research and read the readme where it gives examples of fixes, for ubuntu "Version" is something like "0ubuntu" or something like that. Is their a particular version string for debian?

cmac
Newcomer
Posts: 7
Joined: Sun Dec 16, 2018 2:18 am
Ireland

Re: Error in trying to build MythTV v 0.29 in Debian 9.6

Post by cmac » Mon Dec 17, 2018 2:24 am

Not much to report, but I tried to build 'master' with a similar error outcome.
Building 'fixes/0.28' is throwing up a dependency issue.

kommiisar6
Junior
Posts: 15
Joined: Thu Dec 13, 2018 12:36 am
Zimbabwe

Re: Error in trying to build MythTV v 0.29 in Debian 9.6

Post by kommiisar6 » Mon Dec 17, 2018 12:56 pm

Why don't you open a separate thread about the dependency issue in v 0.28? I would like to get the documentation fixed for building in debian. I know from other posts in this forum (see here: viewtopic.php?t=2646 ) that libcec4-dev is not a dependency for stretch. Apparently the packages in stretch are somewhat different and libcec-dev in stretch is version 4 and there is no libcec4-dev in stretch.

cmac
Newcomer
Posts: 7
Joined: Sun Dec 16, 2018 2:18 am
Ireland

Re: Error in trying to build MythTV v 0.29 in Debian 9.6

Post by cmac » Tue Dec 18, 2018 1:20 am

kommisar6: I've abandoned 0.28 in favour of more progress with fixes/29 :)
Like you, I was following https://www.mythtv.org/wiki/Installing_MythTV_on_Debian where it links to "install_build_dependencies_without_ansible". On another thread (lost the link) about building 29 on Ubuntu 18.04 I saw a casual remark about 'assuming' ansible was used to build the dependencies. So tonight I followed the ansible instructions for build dependencies and have managed to get past our problem and compile some (lots) of code.
Unfortunatley I've now met the next hurdle where it exits the compile process thus:

Code: Select all

debian/rules:202: recipe for target 'override_dh_installman' failed
make[1]: *** [override_dh_installman] Error 255
make[1]: Leaving directory '/root/build/packaging/deb/mythtv'
debian/rules:95: recipe for target 'binary' failed
make: *** [binary] Error 2
dpkg-buildpackage: error: fakeroot debian/rules binary gave error exit status 2
Should I start a new thread with this error profile, or would you like to see if you can replicate the procedure?

kommiisar6
Junior
Posts: 15
Joined: Thu Dec 13, 2018 12:36 am
Zimbabwe

Re: Error in trying to build MythTV v 0.29 in Debian 9.6

Post by kommiisar6 » Tue Dec 18, 2018 1:27 am

I too have tried using ansible to install dependencies on a different machine and I got the same error as before. You should probably start a new thread with the new issue.

cmac
Newcomer
Posts: 7
Joined: Sun Dec 16, 2018 2:18 am
Ireland

Re: Error in trying to build MythTV v 0.29 in Debian 9.6

Post by cmac » Tue Dec 18, 2018 1:42 am

Will do. If I can assist getting you this far don't hesitate to ask.

kommiisar6
Junior
Posts: 15
Joined: Thu Dec 13, 2018 12:36 am
Zimbabwe

Re: Error in trying to build MythTV v 0.29 in Debian 9.6

Post by kommiisar6 » Tue Dec 18, 2018 8:26 pm

Did you have backports enabled on that ansible build? I'm thinking that problems might be related to a package version. I don't see why your ansible build went farther than mine.

cmac
Newcomer
Posts: 7
Joined: Sun Dec 16, 2018 2:18 am
Ireland

Re: Error in trying to build MythTV v 0.29 in Debian 9.6

Post by cmac » Wed Dec 19, 2018 2:08 pm

Not at the machine right now, but I did not enable backports specifically. It is a stock 9.6 Cinnamon install with all upgrades applied. The only thing I did was to remove Cinnamon and install XFCE because I'm running an older nVidia card that Cinnamon doesn't like to play nice with.

kross
Newcomer
Posts: 3
Joined: Sun Dec 30, 2018 4:27 am
United States of America

Re: Error in trying to build MythTV v 0.29 in Debian 9.6

Post by kross » Sun Dec 30, 2018 4:48 am

paulh wrote:
Sun Dec 16, 2018 10:33 am
I'm no debian expert so take this with a pinch of salt :)

I know the debian packaging have recently been updated so Launchpad will build and publish them so something may have got broken in the process.

This commit looks like it could be the problem one
github . com/MythTV/packaging/commit/ef03940adc9f62482eece030ef86542f993227aa

I wonder if debian doesn't like the '+' character in the version? You could try changing it to '~' but it needs a debian expert to confirm this is a good fix.
This is the commit that breaks the build script, but not because of the '+', but rather because of the lack of a '-' suffix. I made the following comment on the git commit:

This version number appears to break the build-debs . sh build script in the packaging repo. It parses the changelog and builds a version number from it, but it expects a certain format to the version number. It's looking for a suffix after a hyphen. Without that the script breaks.

kommiisar6
Junior
Posts: 15
Joined: Thu Dec 13, 2018 12:36 am
Zimbabwe

Re: Error in trying to build MythTV v 0.29 in Debian 9.6

Post by kommiisar6 » Sun Dec 30, 2018 12:53 pm

Can I manually edit a file to insert the "-" somewhere? Which file would this be?

Post Reply